Loading...
Searching...
No Matches
DJLSEncoderRegistration Class Reference

singleton class that registers encoders for all supported JPEG-LS processes. More...

## Static Public Member Functions

static void | registerCodecs (Uint16 jpls_t1=0, Uint16 jpls_t2=0, Uint16 jpls_t3=0, Uint16 jpls_reset=0, OFBool preferCookedEncoding=OFTrue, Uint32 fragmentSize=0, OFBool createOffsetTable=OFTrue, JLS_UIDCreation uidCreation=EJLSUC_default, OFBool convertToSC=OFFalse, DJLSCodecParameter::interleaveMode jplsInterleaveMode=DJLSCodecParameter::interleaveDefault, OFBool useFFbitstreamPadding=OFTrue)
| registers encoders for all supported JPEG-LS processes.
static void | cleanup ()
| deregisters encoders.
static OFString | getLibraryVersionString ()
| get version information of the CharLS library.

## Static Private Attributes

static OFBool | registered_
| flag indicating whether the encoders are already registered.
static DJLSCodecParameter * | cp_
| pointer to codec parameter shared by all encoders
static DJLSLosslessEncoder * | losslessencoder_
| pointer to encoder for lossless JPEG-LS
static DJLSNearLosslessEncoder * | nearlosslessencoder_
| pointer to encoder for lossy JPEG-LS

## Detailed Description

singleton class that registers encoders for all supported JPEG-LS processes.

## Member Function Documentation

## cleanup()

void DJLSEncoderRegistration::cleanup | ( |  | ) |

static

deregisters encoders.

Attention: Must not be called while other threads might still use the registered codecs, e.g. because they are currently encoding DICOM data sets through dcmdata.

## getLibraryVersionString()

OFString DJLSEncoderRegistration::getLibraryVersionString | ( |  | ) |

static

get version information of the CharLS library.

Typical output format: "CharLS, Revision 55020 (modified)"

Returns
  name and version number of the CharLS library

## registerCodecs()

void DJLSEncoderRegistration::registerCodecs | ( | Uint16 | jpls_t1 = 0,
|  | Uint16 | jpls_t2 = 0,
|  | Uint16 | jpls_t3 = 0,
|  | Uint16 | jpls_reset = 0,
|  | OFBool | preferCookedEncoding = OFTrue,
|  | Uint32 | fragmentSize = 0,
|  | OFBool | createOffsetTable = OFTrue,
|  | JLS_UIDCreation | uidCreation = EJLSUC_default,
|  | OFBool | convertToSC = OFFalse,
|  | DJLSCodecParameter::interleaveMode | jplsInterleaveMode = DJLSCodecParameter::interleaveDefault,
|  | OFBool | useFFbitstreamPadding = OFTrue )

static

registers encoders for all supported JPEG-LS processes.

If already registered, call is ignored unless cleanup() has been performed before.

Parameters

  jpls_t1 | JPEG-LS parameter "Threshold 1" (used for quantization)
  jpls_t2 | JPEG-LS parameter "Threshold 2"
  jpls_t3 | JPEG-LS parameter "Threshold 3"
  jpls_reset | JPEG-LS parameter "RESET", i.e., value at which the counters A, B, and N are halved.
  preferCookedEncoding | true if the "cooked" lossless encoder should be preferred over the "raw" one
  fragmentSize | maximum fragment size (in kbytes) for compression, 0 for unlimited.
  createOffsetTable | create offset table during image compression
  uidCreation | mode for SOP Instance UID creation
  convertToSC | flag indicating whether image should be converted to Secondary Capture upon compression
  jplsInterleaveMode | flag describing which interleave the JPEG-LS datastream should use
  useFFbitstreamPadding | flag indicating whether the JPEG-LS bitstream should be FF padded as required by DICOM.

References EJLSUC_default, and DJLSCodecParameter::interleaveDefault.

The documentation for this class was generated from the following file:

- dcmjpls/include/dcmtk/dcmjpls/djencode.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0